Main Page Data Structures File List Data Fields Globals Related Pages

# rpCgi Struct Reference

`#include <CGI.H>`

## Data Fields
unsigned char | fConnectionId
int | fHttpRequest
char * | fPathPtr
char * | fHostPtr
char * | fRefererPtr
char * | fAgentPtr
char * | fLanguagePtr
unsigned long | fBrowserDate
char * | fArgumentBufferPtr
long | fArgumentBufferLength
char * | fUserNamePtr
char * | fPasswordPtr
long * | fRemoteIPPtr
int | fResponseState
int | fHttpResponse
int | fDataType
char * | fResponseBufferPtr
long | fResponseBufferLength
unsigned long | fObjectDate
unsigned int | fHostIndex

## Field Documentation

char* rpCgi::fAgentPtr

| Definition at line 165 of file CGI.H.

long rpCgi::fArgumentBufferLength

| Definition at line 169 of file CGI.H.

char* rpCgi::fArgumentBufferPtr

| Definition at line 168 of file CGI.H.

unsigned long rpCgi::fBrowserDate

| Definition at line 167 of file CGI.H.

unsigned char rpCgi::fConnectionId

| Definition at line 160 of file CGI.H.

int rpCgi::fDataType

| Definition at line 181 of file CGI.H.

unsigned int rpCgi::fHostIndex

| Definition at line 185 of file CGI.H.

char* rpCgi::fHostPtr

| Definition at line 163 of file CGI.H.

int rpCgi::fHttpRequest

| Definition at line 161 of file CGI.H.

int rpCgi::fHttpResponse

| Definition at line 180 of file CGI.H.

char* rpCgi::fLanguagePtr

| Definition at line 166 of file CGI.H.

unsigned long rpCgi::fObjectDate

| Definition at line 184 of file CGI.H.

char* rpCgi::fPasswordPtr

| Definition at line 171 of file CGI.H.

char* rpCgi::fPathPtr

| Definition at line 162 of file CGI.H.

char* rpCgi::fRefererPtr

| Definition at line 164 of file CGI.H.

long* rpCgi::fRemoteIPPtr

| Definition at line 174 of file CGI.H.

long rpCgi::fResponseBufferLength

| Definition at line 183 of file CGI.H.

char* rpCgi::fResponseBufferPtr

| Definition at line 182 of file CGI.H.

int rpCgi::fResponseState

| Definition at line 179 of file CGI.H.

char* rpCgi::fUserNamePtr

| Definition at line 170 of file CGI.H.

The documentation for this struct was generated from the following file:

- clib/CGI.H